$(function ( )
{
    var isFirst = false;
    var currentButton = 1;
    var currentPage;
    var isPlaying = true;
	
	// AJAX Links Interactions
	createTopInteraction();
	createButtonsInteraction();
	createPlayStopInteraction();
	createGallery1();
    
	function createPlayStopInteraction()
	{
		$("#play").fadeOut(0);
		
		$("#pause").click(function()
		{
			isPlaying = false;
			$("#play").fadeIn(1000);
			$("#pause").fadeOut(0);
		});
		
		$("#play").click(function()
		{
			isPlaying = true;
			$("#play").fadeOut(0);
			$("#pause").fadeIn(1000);
		});
	}
    
    $("#menu a").click(function()
    {
        $("#inside").css( "margin-top", 0 );
    });
	
    function createButtonsInteraction()
	{
		$("#buttons div").click( function ( )
		{
			if ( isFirst )
			{
				$("#slideshow #first").attr( "src", "images/picture" + this.id + ".jpg" );
				$("#slideshow #first").fadeOut( 0 );
				$("#slideshow #first").fadeIn( 1000 );
				$("#slideshow #first").css( "z-index", "2" );
				$("#slideshow #second").css( "z-index", "1" );
				isFirst = false;
			}
			else
			{
				$("#slideshow #second").attr( "src", "images/picture" + this.id + ".jpg" );
				$("#slideshow #second").fadeOut( 0 );
				$("#slideshow #second").fadeIn( 1000 );
				$("#slideshow #second").css( "z-index", "2" );
				$("#slideshow #first").css( "z-index", "1" );
				isFirst = true;
			}
			
			var clicked = this.id;
			$( "#" + currentButton ).removeClass( "light" );
			currentButton = clicked - 1;
			$( "#" + clicked ).addClass( "light" );
			
			onlyOne();
		} );
	}
    
	//Photos Effect
    setInterval(function()
    {
        if (isPlaying)
        {
            lightUp();
            currentButton++;
        
            if ( currentButton > 5 )
            {
                currentButton = 1;
            }
            
            if ( isFirst )
            {
                $("#slideshow #first").attr( "src", "images/picture" + currentButton + ".jpg" );
                $("#slideshow #first").fadeOut( 0 );
                $("#slideshow #first").fadeIn( 1000 );
                $("#slideshow #first").css( "z-index", "2" );
                $("#slideshow #second").css( "z-index", "1" );
                isFirst = false;
            }
            else
            {
                $("#slideshow #second").attr( "src", "images/picture" + currentButton + ".jpg" );
                $("#slideshow #second").fadeOut( 0 );
                $("#slideshow #second").fadeIn( 1000 );
                $("#slideshow #second").css( "z-index", "2" );
                $("#slideshow #first").css( "z-index", "1" );
                isFirst = true;
            }
        }
    }, 4000);
    
    function lightUp()
    {
        var nextButton;
        if(currentButton > 4)
        {
            nextButton = 1;
        }
        else
        {
            nextButton = currentButton + 1;
        }
        $( "#" + currentButton ).removeClass( "light" );
        $( "#" + nextButton ).addClass( "light" );
    }
    
    function onlyOne()
    {
        for (var i = 1; i < 6; i++)
        {
            if (currentButton + 1 != i)
            {
                $("#" + i).removeClass("light");
            }
        }
    }
    function createTopInteraction()
	{
		$(".top").click(function()
		{
			if($("#textField" + this.id).hasClass("closed"))
			{
				$("#textField" + this.id).height(370);
				$("#textField" + this.id + " p").css("display", "table");
				$("#textField" + this.id).removeClass("closed");
				$("#inside").height(400);
				$("#content").height(400);
				$("#topLayer").height(980);
			}
			else
			{
				$("#textField" + this.id).height(0);
				$("#textField" + this.id + " p").css("display", "none");
				$("#textField" + this.id).addClass("closed");
				$("#inside").height(70);
				$("#content").height(70);
				$("#topLayer").height(650);
			}
		});
	}
    
    
    function createGallery1()
	{
		var gallery = $("#gallery1");
		var galleryWidth = gallery.width();
		var galleryHeight = gallery.height();
		var imageNumber = 0;
		var randomPositionX;
		var randomPositionY;
		var randomRotation;
		var randomSize;
		var rotateString;
		var htmlData = "";
		var rotationHistory;
		var transformString;

		for(var i = 0; i < 10; i++)
		{
			imageNumber = i + 2;
			randomPositionX = 60 + Math.random() * 725;
			randomPositionY = 60 + Math.random() * 577;
			randomSize = 80 + Math.random() * 40;
			htmlData += "<img src='images/gallery1/img" + imageNumber + ".jpg' ";
			htmlData += "class='image' ";
			htmlData += "id='imageNumber" + imageNumber + "' ";
			htmlData += "style='top:" + randomPositionY + "px;";
			htmlData += "left:" + randomPositionX + "px;";
			htmlData += "width:" + randomSize + "px;height:" + randomSize + "px;";
			htmlData += "' />";
		}
		
		gallery.html(htmlData + gallery.html());
		
		for(var i = 0; i < 10; i++)
		{
			imageNumber = i + 2;
			if(Math.random() > 0.5)
			{
				randomRotation = Math.random() * 40;	
			}
			else
			{
				randomRotation = Math.random() * -40;
			}
			rotateString = "rotate(" + randomRotation + "deg)";
			
			$("#imageNumber" + imageNumber).css("-webkit-transform", rotateString);
		}
		
		$(".image").mouseover(function()
		{
			var thisImage = $("#" + this.id);
			transformString = "rotate(0deg) scaleX(1.4) scaleY(1.4)";
			rotationHistory = thisImage.css("-webkit-transform");
			thisImage.css("z-index", 5);
			thisImage.css("-webkit-transform", transformString);
			thisImage.css("-moz-transform", transformString);
		});
		
		$(".image").mouseout(function()
		{
			var thisImage = $("#" + this.id);
			transformString = rotationHistory;
			transformString += "scaleX(1) scaleY(1)";
			thisImage.css("z-index", 0);
			thisImage.css("-webkit-transform", transformString);
			thisImage.css("-moz-transform", transformString);
		});
	}
});